# Session Details

GET /partner/v3/shops/:shopUuid/pos-sessions/:posSessionUuid

When a user is redirected back to e-shop, or when a callback notification is received, the e-shop should make a GET /shops/:shopUuid/pos-sessions/:posSessionUuid request to inspect session details.
The response contains the creditContractUuid value which is used in the  GET /contracts request to check the status of the contract. If the flow is configured to request merchant approval before credit contract activation, this value is also used in the POST /:contractUuid/merchant-approval or the POST /:contractUuid/cancel request, to either approve or cancel the credit contract.

It is important to inspect the value of the status. If the status is completed, then from the e-shop order perspective it has been paid, and the goods can be shipped.

Endpoint: GET /partner/v3/shops/{shopUuid}/pos-sessions/{posSessionUuid}
Security: bearerAuth

## Path parameters:

  - `shopUuid` (string, required)
    Example: "a93f1f44-d5dd-4469-bfcc-c1de9e969213"

  - `posSessionUuid` (string, required)
    Example: "5e3a459a-aada-4d81-b6ad-09cb9483c8bf"

## Response 200 fields (application/json):

  - `uuid` (string)
    Pos session UUID.
    Example: "5e3a459a-aada-4d81-b6ad-09cb9483c8bf"

  - `productCode` (string)
    Product code.
    Example: "product_code_here"

  - `totalAmount` (number)
    Total amount paid by customer.
    Example: 300

  - `currency` (string)
    Currency ISO code.
    Example: "EUR"

  - `status` (string)
    Session status.Payment for the e-shop order can be considered successfully completed when the status = completed.For more details, see the [State model](#statemodel) chapter.
    Example: "pending"

  - `salespersonReference` (string)
    First name and last name of the sales person as it should appear on reports.
    Example: "Earl James"

  - `locale` (string)
    Language - country codes.
    Example: "et-ET"

  - `userIp` (string)
    A user agent (browser) IP address as seen by ePOS.

  - `partnerUrls` (object)

  - `customerData` (object)
    Customer basic data.

  - `customerContactData` (object)
    Customer contact data.

  - `customerAddressData` (object)
    Customer address data.

  - `creditApplicationData` (object)
    Credit application data.

  - `integrationInfo` (object)
    Integration data.

  - `additionalData` (object)
    Additional data.

  - `purchase` (string)

  - `createdAt` (string)
    Creation time.

  - `validUntil` (string)
    POS session expiration time.

  - `showExpirationCounter` (string)
    Indicates if pos session session expiration counter should be shown.

  - `creditApplicationUuid` (string)
    Identifier of the credit application in Inbank systems.This parameter appears in the response once the customer has submitted the application during dialogs.Example b1904cd8-f5b0-4610-b87c-97a512d6125f
    Example: "471e6282-3384-412b-af7b-646eb8f04391"

  - `creditContractUuid` (string)
    The unique identifier of the credit contract associated with the session. This identifier is used in the [GET /:contractUuid/contracts](./#operation/getContract) request to check the status of the contract or  in the [POST /merchant-approval](./#operation/postMerchantApproval) or the [POST /:contractUuid/cancel](./#operation/cancelContract) request, to either approve or cancel the credit contract.
    Example: "788ec8c4-c497-470b-8505-2303f151d427"

  - `creditPurchaseUuid` (string)
    Credit purchase UUID.

  - `customerDetails` (object)

  - `customerDetails.email` (string)
    Customer email.
    Example: "test@test.com"

  - `customerDetails.firstName` (string)
    Customer first name.
    Example: "Test"

  - `customerDetails.lastName` (string)
    Customer last name.
    Example: "Test"

  - `customerUuid` (string)
    Customer UUID.
    Example: "fac6e447-aa40-48ec-a65d-a4acb24eceb6"

  - `shopPublicName` (string)
    Shop public name.
    Example: "Test Shop"

## Response 401 fields (application/json):

  - `message` (string)
    Unauthorized
    Example: "unauthorized"

## Response 403 fields (application/json):

  - `message` (string)
    Unauthorized access
    Example: "User is not authorized to access this resource with an explicit deny"

## Response 404 fields (application/json):

  - `message` (string)
    Not found

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "internal_server_error"


